Riak on 64bit ubuntu

Kevin Smith ksmith at basho.com
Tue Feb 9 19:19:09 EST 2010


This appears to only happen on AMD64 platforms :(

FWIW, I am very aware of just how painful the erlang_js build is for people right now and I appreciate everyone's patience and perserverance getting riak & erlang_js built. I'll be taking steps to improve the situation soon, hopefully in time for the next release.

--Kevin
On Feb 9, 2010, at 7:14 PM, Robert O'Brien wrote:

> NSPR needs to be told to build for 64bit. Kevin answered this a couple
> of days ago here.
> 
> http://lists.basho.com/pipermail/riak-users_lists.basho.com/2010-February/000436.html
> 
> Cheers.
> Robert.
> 
> On 10 February 2010 13:00, Amit Ambardekar <amitamb at gmail.com> wrote:
>> I can't get to build riak on my 64bit ubuntu.
> 
>> /usr/bin/ld: i386 architecture of input file `c_src/libnspr4.a(prtpd.o)' is
>> incompatible with i386:x86-64 output
> 
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com





More information about the riak-users mailing list